[@bigcommerce/checkout-sdk](../README.md) / BaseInstrument

# Interface: BaseInstrument

## Hierarchy

- **`BaseInstrument`**

  ↳ [`BaseAccountInstrument`](BaseAccountInstrument.md)

  ↳ [`CardInstrument`](CardInstrument.md)

## Table of contents

### Properties

- [bigpayToken](BaseInstrument.md#bigpaytoken)
- [defaultInstrument](BaseInstrument.md#defaultinstrument)
- [method](BaseInstrument.md#method)
- [provider](BaseInstrument.md#provider)
- [trustedShippingAddress](BaseInstrument.md#trustedshippingaddress)
- [type](BaseInstrument.md#type)

## Properties

### bigpayToken

• **bigpayToken**: `string`

___

### defaultInstrument

• **defaultInstrument**: `boolean`

___

### method

• **method**: `string`

___

### provider

• **provider**: `string`

___

### trustedShippingAddress

• **trustedShippingAddress**: `boolean`

___

### type

• **type**: `string`
